package com.cm.central.control.pojo.bos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: ClientDTO
 * @Description: 客户端
 * @Author: WenG
 * @Date: 2020-07-30 19:12
 * @Version: 1.0
 **/
@ApiModel
public class ClientBO implements Serializable {

    private static final long serialVersionUID = -7791538851890359823L;
    @ApiModelProperty(name = "clientId", value = "clientId")
    private String clientId;
    @ApiModelProperty(name = "clientSecret", value = "clientSecret")
    private String clientSecret;
    @ApiModelProperty(name = "clientName", value = "名称")
    private String clientName;
    @ApiModelProperty(name = "clientSummary", value = "描述")
    private String clientSummary;
    @ApiModelProperty(name = "clientVersion", value = "客户端版本")
    private String clientVersion;
    @ApiModelProperty(name = "databaseType", value = "数据库类型")
    private String databaseType;
    @ApiModelProperty(name = "databaseTypeDictionaryName", value = "数据库类型字典名称")
    private String databaseTypeDictionaryName;
    @ApiModelProperty(name = "databaseVersion", value = "数据库版本")
    private String databaseVersion;
    @ApiModelProperty(name = "databaseVersionDictionaryName", value = "数据库版本字典名称")
    private String databaseVersionDictionaryName;
    @ApiModelProperty(name = "databaseName", value = "数据库名称")
    private String databaseName;
    @ApiModelProperty(name = "customerId", value = "客户ID")
    private String customerId;
    @ApiModelProperty(name = "customerCustomerName", value = "客户名称")
    private String customerCustomerName;
    @ApiModelProperty(name = "serverIp", value = "服务器地址")
    private String serverIp;
    @ApiModelProperty(name = "isUsercenter", value = "是否")
    private Integer isUsercenter;
    @ApiModelProperty(name = "isOnlyAuthorization", value = "是否在线授权")
    private Integer isOnlyAuthorization;
    @ApiModelProperty(name = "macAddress", value = "mac地址")
    private String macAddress;
    @ApiModelProperty(name = "licenseStartTime", value = "秘钥开始时间")
    private String licenseStartTime;
    @ApiModelProperty(name = "licenseEffectiveDays", value = "秘钥有效天数")
    private Integer licenseEffectiveDays;
    @ApiModelProperty(name = "licenseExpirationDate", value = "秘钥到期时间")
    private String licenseExpirationDate;
    @ApiModelProperty(name = "authorizationCount", value = "授权次数")
    private Integer authorizationCount;
    @ApiModelProperty(name = "projectLeaderId", value = "项目负责人")
    private String projectLeaderId;
    @ApiModelProperty(name = "projectLeaderLeaderName", value = "姓名")
    private String projectLeaderLeaderName;

    public String getClientId() {
        return clientId == null ? "" : clientId.trim();
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret == null ? "" : clientSecret.trim();
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientSummary() {
        return clientSummary == null ? "" : clientSummary.trim();
    }

    public void setClientSummary(String clientSummary) {
        this.clientSummary = clientSummary;
    }

    public String getClientVersion() {
        return clientVersion == null ? "" : clientVersion.trim();
    }

    public void setClientVersion(String clientVersion) {
        this.clientVersion = clientVersion;
    }

    public String getDatabaseType() {
        return databaseType == null ? "" : databaseType.trim();
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getDatabaseTypeDictionaryName() {
        return databaseTypeDictionaryName == null ? "" : databaseTypeDictionaryName.trim();
    }

    public void setDatabaseTypeDictionaryName(String databaseTypeDictionaryName) {
        this.databaseTypeDictionaryName = databaseTypeDictionaryName;
    }

    public String getDatabaseVersion() {
        return databaseVersion == null ? "" : databaseVersion.trim();
    }

    public void setDatabaseVersion(String databaseVersion) {
        this.databaseVersion = databaseVersion;
    }

    public String getDatabaseVersionDictionaryName() {
        return databaseVersionDictionaryName == null ? "" : databaseVersionDictionaryName.trim();
    }

    public void setDatabaseVersionDictionaryName(String databaseVersionDictionaryName) {
        this.databaseVersionDictionaryName = databaseVersionDictionaryName;
    }

    public String getDatabaseName() {
        return databaseName == null ? "" : databaseName.trim();
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public String getCustomerId() {
        return customerId == null ? "" : customerId.trim();
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerCustomerName() {
        return customerCustomerName == null ? "" : customerCustomerName.trim();
    }

    public void setCustomerCustomerName(String customerCustomerName) {
        this.customerCustomerName = customerCustomerName;
    }

    public String getServerIp() {
        return serverIp == null ? "" : serverIp.trim();
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }

    public Integer getIsUsercenter() {
        return isUsercenter;
    }

    public void setIsUsercenter(Integer isUsercenter) {
        this.isUsercenter = isUsercenter;
    }

    public Integer getIsOnlyAuthorization() {
        return isOnlyAuthorization;
    }

    public void setIsOnlyAuthorization(Integer isOnlyAuthorization) {
        this.isOnlyAuthorization = isOnlyAuthorization;
    }

    public String getMacAddress() {
        return macAddress == null ? "" : macAddress.trim();
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getLicenseStartTime() {
        return licenseStartTime == null ? "" : licenseStartTime.trim();
    }

    public void setLicenseStartTime(String licenseStartTime) {
        this.licenseStartTime = licenseStartTime;
    }

    public Integer getLicenseEffectiveDays() {
        return licenseEffectiveDays;
    }

    public void setLicenseEffectiveDays(Integer licenseEffectiveDays) {
        this.licenseEffectiveDays = licenseEffectiveDays;
    }

    public String getLicenseExpirationDate() {
        return licenseExpirationDate == null ? "" : licenseExpirationDate.trim();
    }

    public void setLicenseExpirationDate(String licenseExpirationDate) {
        this.licenseExpirationDate = licenseExpirationDate;
    }

    public Integer getAuthorizationCount() {
        return authorizationCount;
    }

    public void setAuthorizationCount(Integer authorizationCount) {
        this.authorizationCount = authorizationCount;
    }

    public String getProjectLeaderId() {
        return projectLeaderId == null ? "" : projectLeaderId.trim();
    }

    public void setProjectLeaderId(String projectLeaderId) {
        this.projectLeaderId = projectLeaderId;
    }

    public String getProjectLeaderLeaderName() {
        return projectLeaderLeaderName == null ? "" : projectLeaderLeaderName.trim();
    }

    public void setProjectLeaderLeaderName(String projectLeaderLeaderName) {
        this.projectLeaderLeaderName = projectLeaderLeaderName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"clientId\":")
                .append("\"").append(clientId).append("\"");
        sb.append(",\"clientSecret\":")
                .append("\"").append(clientSecret).append("\"");
        sb.append(",\"clientName\":")
                .append("\"").append(clientName).append("\"");
        sb.append(",\"clientSummary\":")
                .append("\"").append(clientSummary).append("\"");
        sb.append(",\"clientVersion\":")
                .append("\"").append(clientVersion).append("\"");
        sb.append(",\"databaseType\":")
                .append("\"").append(databaseType).append("\"");
        sb.append(",\"databaseTypeDictionaryName\":")
                .append("\"").append(databaseTypeDictionaryName).append("\"");
        sb.append(",\"databaseVersion\":")
                .append("\"").append(databaseVersion).append("\"");
        sb.append(",\"databaseVersionDictionaryName\":")
                .append("\"").append(databaseVersionDictionaryName).append("\"");
        sb.append(",\"databaseName\":")
                .append("\"").append(databaseName).append("\"");
        sb.append(",\"customerId\":")
                .append("\"").append(customerId).append("\"");
        sb.append(",\"customerCustomerName\":")
                .append("\"").append(customerCustomerName).append("\"");
        sb.append(",\"serverIp\":")
                .append("\"").append(serverIp).append("\"");
        sb.append(",\"isUsercenter\":")
                .append(isUsercenter);
        sb.append(",\"isOnlyAuthorization\":")
                .append(isOnlyAuthorization);
        sb.append(",\"macAddress\":")
                .append("\"").append(macAddress).append("\"");
        sb.append(",\"licenseStartTime\":")
                .append("\"").append(licenseStartTime).append("\"");
        sb.append(",\"licenseEffectiveDays\":")
                .append(licenseEffectiveDays);
        sb.append(",\"licenseExpirationDate\":")
                .append("\"").append(licenseExpirationDate).append("\"");
        sb.append(",\"authorizationCount\":")
                .append(authorizationCount);
        sb.append(",\"projectLeaderId\":")
                .append("\"").append(projectLeaderId).append("\"");
        sb.append(",\"projectLeaderLeaderName\":")
                .append("\"").append(projectLeaderLeaderName).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
